%bcond_without check

%global goipath         k8s.io/client-go
%global forgeurl        https://github.com/kubernetes/client-go
Version:                1.22.0
%global tag             kubernetes-1.22.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Go clients for talking to a Kubernetes cluster.}

%global golicenses      LICENSE
%global godocs          examples CHANGELOG.md code-of-conduct.md\\\
                        CONTRIBUTING.md INSTALL.md README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go client for Kubernetes

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz



%description
%{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d tools/clientcmd -d util/flowcontrol
%endif

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22.0-1
- initial build
